/*-------------------------------------------------------------------*\
      
     0.51 beta
	() 2002   a.k.a. FighteR
				 	
  CaseGen.h    --   
\*-------------------------------------------------------------------*/
#include <windows.h>
#include <stdio.h>

#include "resource.h"


#define MAX_STRLEN 256

#define MASCULINE     0
#define FEMININE      1
#define NEUTER        2

#define SINGL         0
#define PLURAL        1

#define INANIMATE     0
#define ANIMATE       1

#define UNSTRESSED    0
#define STRESSED      1

#define NOMINATIVE    0
#define GENITIVE      1
#define DATIVE        2
#define ACCUSATIVE    3
#define INSTRUMENTAL  4
#define PREPOSITIONAL 5
#define ALL_CASES     6
#define NOT_CASE      7

typedef struct
{
	int  iCase;
	int  iGender;
	int  iNumber;
	int  iAnimate;
	int  iStress;
	bool bIsLast;
} WORDPARAM;

/*----------------------------------------------------------------*\
   
\*----------------------------------------------------------------*/
BOOL LoadProg(LPCSTR szProgFileName);		//   

bool IsChecked(int iCheckBox);				//  ,       iCheckBox = 0 - 5
void GetText(int iEdit, LPSTR szBuffer);	//    , iEdit = 0 - 5
void SetText(int iEdit, LPCSTR szText);		//    ,  iEdit = 0 - 5
void SetMemoText(LPCSTR szText);			//      RTADS
void SetDebugText(LPSTR szText);			//      

int GetGender(void);	//   ''      = 0 - 2
int GetNumber(void);	//   ''    = 0 - 1
int GetAnimate(void);	//   '.'    = 0 - 1
int GetStress(void);    //   '' = 1 - 0


/*----------------------------------------------------------------*\
      
\*----------------------------------------------------------------*/
void Generate(void);
void TakeWord(int iWordNeed, LPSTR szBuffer, LPCSTR szString);

extern LPSTR pszError;

extern char aszVarString[10][MAX_STRLEN];
extern LPSTR aszCaseLogic[7];				//6  + _

